- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bitbucket_pipeline_variable – Manages Bitbucket pipeline variables

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Manages Bitbucket pipeline variables.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
client_id string |  | The OAuth consumer key. If not set the environment variable `BITBUCKET_CLIENT_ID` will be used.
client_secret string |  | The OAuth consumer secret. If not set the environment variable `BITBUCKET_CLIENT_SECRET` will be used.
name string / required |  | The pipeline variable name.
repository string / required |  | The repository name.
secured boolean | Choices: no ← yes | Whether to encrypt the variable value.
state string / required | Choices: absent present | Indicates desired state of the variable.
username string / required |  | The repository owner.
value string |  | The pipeline variable value.

## Notes

Note

- Bitbucket OAuth consumer key and secret can be obtained from Bitbucket profile -> Settings -> Access Management -> OAuth.

- Check mode is supported.

- For secured values return parameter `changed` is always `True`.

## Examples

    - name: Create or update pipeline variables from the list
      bitbucket_pipeline_variable:
        repository: 'bitbucket-repo'
        username: bitbucket_username
        name: '{{ item.name }}'
        value: '{{ item.value }}'
        secured: '{{ item.secured }}'
        state: present
      with_items:
        - { name: AWS_ACCESS_KEY, value: ABCD1234, secured: False }
        - { name: AWS_SECRET, value: qwe789poi123vbn0, secured: True }

    - name: Remove pipeline variable
      bitbucket_pipeline_variable:
        repository: bitbucket-repo
        username: bitbucket_username
        name: AWS_ACCESS_KEY
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Evgeniy Krysanov (@catcombo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.